PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package deploy
  Definition Classes
    serverobject
- Deployment
- DeploymentBehavior

t

net.psforever.objects.serverobject.deploy

# DeploymentBehavior

###
Companion object DeploymentBehavior

#### trait DeploymentBehavior extends AnyRef

The logic governing `Deployment` objects that use the following messages: `TryDeploymentChange`, `TryDeploy`, and `TryUndeploy`. This is a mix-in trait for combining with existing `Receive` logic.

Self Type
  DeploymentBehavior with Actor
Source
  DeploymentBehavior.scala
See also

  `Deployment`

  `DriveState`

Linear Supertypes
AnyRef, Any
Known Subclasses
VehicleControl

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DeploymentBehavior
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def DeploymentObject: DeploymentObject

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def DeploymentAction(obj: DeploymentObject, state: types.DriveState.Value, prevState: types.DriveState.Value): types.DriveState.Value
5.  def TryDeployStateChange(state: types.DriveState.Value): Any
6.  def TryDeploymentChange(obj: DeploymentObject, state: types.DriveState.Value): Boolean
7.  def TryDeploymentStateChange(state: types.DriveState.Value): Any
8.  def TryUndeployStateChange(state: types.DriveState.Value): Any
9.  def TryUndeploymentChange(obj: DeploymentObject, state: types.DriveState.Value): Boolean
10.  def UndeploymentAction(obj: DeploymentObject, state: types.DriveState.Value, prevState: types.DriveState.Value): types.DriveState.Value
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  val deployBehavior: (DeploymentBehavior.this)#Receive
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped